<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://richfaces.org/a4j" prefix="a4j"%>
<%@ taglib uri="http://richfaces.org/rich" prefix="rich"%>

<rich:modalPanel id="manageCreditCardsModalPanel" autosized="true" top="130" 
	onshow="javascript:scroll(0, 0);"
	rendered="true" width="700" height="260" minWidth="700" minHeight="230" >
	<f:facet name="controls">
		<h:panelGroup>
			<h:graphicImage style="cursor:pointer;border:none;"
				id="manageCreditCardsModalCloseModalHideImgLink"
				value="#{appConstants.cdnMpImageClose}" />
			<rich:componentControl for="manageCreditCardsModalPanel"
				attachTo="manageCreditCardsModalCloseModalHideImgLink" operation="hide"
				event="onclick" id="manageCreditCardsCloseModalHide" />
		</h:panelGroup>
	</f:facet>
	<f:facet name="header">
		<h:panelGroup>
			<h:outputText value="Apptivo: Preferences :General" />
		
		</h:panelGroup>
		
	</f:facet>
	
	<h:form>
		<jsp:include page="/regions/lovInnerTopRegion.jsp" flush="false" />
		
		<h:panelGroup id="CCregion">
	<h:form>		
		<table width="100%">			
			<tr align="left" valign="top">
				<td colspan="3" valign="top" align="left"><rich:panel
					style="border:none;">
					<a4j:outputPanel id="creditCardDetailsOutputPanel" ajaxRendered="true">
					<rich:panel header="Cards on file"
						rendered="#{!empty backing_manageCreditCardsModal.creditCards}">
						<rich:dataTable width="100%"
							value="#{backing_manageCreditCardsModal.creditCards}"
							headerClass="tableHeaderColumn" columnsWidth="30%, 70%" rows="5"
							var="card">
							<rich:column>
								<f:facet name="header">
									<h:outputLabel value="Card Number" styleClass="headerText" />
								</f:facet>
								<h:outputLabel value="#{card.maskedCreditCardNumber}" />
							</rich:column>
							<rich:column>
								<f:facet name="header">
									<h:outputLabel value="Address" styleClass="headerText" />
								</f:facet>
								<h:outputLabel value="#{card.billingAddress}" />
							</rich:column>
							<f:facet name="footer">
								<rich:datascroller ajaxSingle="false" />
							</f:facet>
						</rich:dataTable>
					</rich:panel>
					</a4j:outputPanel>
					
					
					
					
					
					<h:selectBooleanCheckbox id="addNewCreditCard"
						
						value="#{backing_manageCreditCardsModal.newCreditCardDetailCheckBox}">
						<a4j:support event="onblur"
								reRender="paymentDetailsOutputPanel"
								action="#{backing_manageCreditCardsModal.displayCreditCard}" />
					</h:selectBooleanCheckbox>&nbsp; <h:outputLabel value="Add new card details"
						for="addNewCreditCard" />
					<a4j:outputPanel id="paymentDetailsOutputPanel">
						<rich:panel header="Credit card details"
							rendered="#{backing_manageCreditCardsModal.displayNewCreditCardForm}">
							<table width="100%">
								<tr class="formLayoutTableRow">
									<td class="formLayoutLabel"><h:outputLabel value="Card Number:" styleClass="labelStyle" /></td>
									<td class="formLayoutComponent"><h:inputText 
										value="#{backing_manageCreditCardsModal.creditCardData.cardNumber}"></h:inputText>
									</td>
									<td class="formLayoutLabel"><h:outputLabel value="Security Code:" styleClass="labelStyle" /></td>
									<td class="formLayoutComponent"><h:inputSecret style="width:40px;"
										value="#{backing_manageCreditCardsModal.creditCardData.securityCode}"></h:inputSecret>
									</td>																			
								</tr>
								<tr>
									<td colspan="2" style="height:5px;"></td>
								</tr>								
								<tr class="formLayoutTableRow">
									<td class="formLayoutLabel"><h:outputLabel value="Expiration Date:" styleClass="labelStyle" /></td>
									<td class="formLayoutComponent" colspan="3">
										<h:selectOneMenu value="#{backing_manageCreditCardsModal.creditCardData.expirationMonth}">
											<f:selectItems value="#{backing_manageCreditCardsModal.months}"/>
										</h:selectOneMenu>
										/
										<h:selectOneMenu value="#{backing_manageCreditCardsModal.creditCardData.expirationYear}">
											<f:selectItems value="#{backing_manageCreditCardsModal.years}"/>
										</h:selectOneMenu>												
									</td>
								</tr>
								<tr>
									<td colspan="4" align="left"><rich:panel
										header="Billing Address" style="border:0px;">
										<table width="100%">
											<tr class="formLayoutTableRow">
												<td class="formLayoutLabel"><h:outputLabel
													value="First Name:" styleClass="labelStyle" /></td>
												<td class="viewPageFormLayoutComponent"><rich:inplaceInput
													defaultLabel="" minInputWidth="200px" styleClass="readOnlylabel"
													value="#{backing_manageCreditCardsModal.creditCardData.firstName}"></rich:inplaceInput>
												</td>
												<td class="formLayoutLabel"><h:outputLabel
													value="Last Name:" styleClass="labelStyle" /></td>
												<td class="viewPageFormLayoutComponent"><rich:inplaceInput
													defaultLabel="" minInputWidth="200px" styleClass="readOnlylabel"
													value="#{backing_manageCreditCardsModal.creditCardData.lastName}"></rich:inplaceInput>
												</td>
											</tr>
											<tr align="left">
												<td colspan="4" width="100%" align="left">
													<a4j:outputPanel
														binding="#{backing_manageCreditCardsModal.ccBillingAddress.addressPanel}"
														ajaxRendered="true" />
												</td>
											</tr>
											<tr>
											<td>
												<a4j:commandButton ajaxSingle="true"
														style="position:relative; left:490px; bottom:-43px;" 
														styleClass="btnRed" value="Cancel" id="manageCreditCardswLeftCancelBtn"
														
														onclick="#{rich:component('manageCreditCardsModalPanel')}.hide()" />
												<a4j:commandButton styleClass="btnGreen" value="Save"
													style="position:relative; left:560px; bottom:-18px;"
													reRender="userpreferenceschange"
													action="#{backing_manageCreditCardsModal.save_action}"
													id="saveClientCreditCardsBottom"
													onclick="disableButtonAndShowLoadingInfoWindow(this.id);"
													oncomplete="enableButtonAndHideLoadingInfoWindow(this.id);" /></td> </tr>
										</table>
									</rich:panel></td>
								</tr>
							</table>
						</rich:panel>
					</a4j:outputPanel>
				</rich:panel></td>
			</tr>
			<tr>
				<td colspan="3" align="center">	</td></tr>
	
	</table>
			
	</h:form>
</h:panelGroup>
		
	</h:form>
</rich:modalPanel>